%global upstream_name qlop-0.2-1

Name:           qlop
Version:        0.2
Release:        1%{?dist}
Summary:        QLop is an interactive plotting software, this is an early development preview of what this software will be.
Group:          Development/Tools
License:        GPLv2+
URL:            https://hephaistos.lpp.polytechnique.fr/redmine/projects/qlop
Source0:        https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/376/%{upstream_name}.zip

BuildRequires:  python2-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtwebkit-devel
BuildRequires:  qt5-qttools-static
BuildRequires:  qt5-qttools-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qtxmlpatterns-devel
BuildRequires:  qt5-qtmultimedia-devel
BuildRequires:  qt5-pythonqt-devel
BuildRequires:  appdata-tools
BuildRequires:  desktop-file-utils
BuildRequires:  fftw-devel

Requires(post): python2
Requires(post): qt5-qtbase
Requires(post): qt5-qtwebkit
Requires(post): qt5-qtsvg
Requires(post): qt5-qtxmlpatterns
Requires(post): qt5-pythonqt
Requires(post): fftw

Provides:  qlop = 0.2-1

%description
QLop is an interactive plotting software, this is an early development preview of what this software will be.

%prep
%setup -q -n %{upstream_name}



%build
%{_qt5_qmake}

make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}
#appdata-validate --nonet %{buildroot}/%{_datadir}/appdata/QLop.appdata.xml
#desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/QLop.desktop

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
/etc/QLop/python/PygmentsHighlighter.py
/etc/QLop/python/PygmentsHighlighter.pyc
/etc/QLop/python/PygmentsHighlighter.pyo
/etc/QLop/python/PythonCompleter.py
/etc/QLop/python/PythonCompleter.pyc
/etc/QLop/python/PythonCompleter.pyo
/etc/QLop/python/module_completion.py
/etc/QLop/python/module_completion.pyc
/etc/QLop/python/module_completion.pyo
/etc/QLop/python/pygments/__init__.py
/etc/QLop/python/pygments/__init__.pyc
/etc/QLop/python/pygments/__init__.pyo
/etc/QLop/python/pygments/cmdline.py
/etc/QLop/python/pygments/cmdline.pyc
/etc/QLop/python/pygments/cmdline.pyo
/etc/QLop/python/pygments/console.py
/etc/QLop/python/pygments/console.pyc
/etc/QLop/python/pygments/console.pyo
/etc/QLop/python/pygments/filter.py
/etc/QLop/python/pygments/filter.pyc
/etc/QLop/python/pygments/filter.pyo
/etc/QLop/python/pygments/filters/__init__.py
/etc/QLop/python/pygments/filters/__init__.pyc
/etc/QLop/python/pygments/filters/__init__.pyo
/etc/QLop/python/pygments/formatter.py
/etc/QLop/python/pygments/formatter.pyc
/etc/QLop/python/pygments/formatter.pyo
/etc/QLop/python/pygments/formatters/__init__.py
/etc/QLop/python/pygments/formatters/__init__.pyc
/etc/QLop/python/pygments/formatters/__init__.pyo
/etc/QLop/python/pygments/formatters/_mapping.py
/etc/QLop/python/pygments/formatters/_mapping.pyc
/etc/QLop/python/pygments/formatters/_mapping.pyo
/etc/QLop/python/pygments/formatters/bbcode.py
/etc/QLop/python/pygments/formatters/bbcode.pyc
/etc/QLop/python/pygments/formatters/bbcode.pyo
/etc/QLop/python/pygments/formatters/html.py
/etc/QLop/python/pygments/formatters/html.pyc
/etc/QLop/python/pygments/formatters/html.pyo
/etc/QLop/python/pygments/formatters/img.py
/etc/QLop/python/pygments/formatters/img.pyc
/etc/QLop/python/pygments/formatters/img.pyo
/etc/QLop/python/pygments/formatters/latex.py
/etc/QLop/python/pygments/formatters/latex.pyc
/etc/QLop/python/pygments/formatters/latex.pyo
/etc/QLop/python/pygments/formatters/other.py
/etc/QLop/python/pygments/formatters/other.pyc
/etc/QLop/python/pygments/formatters/other.pyo
/etc/QLop/python/pygments/formatters/rtf.py
/etc/QLop/python/pygments/formatters/rtf.pyc
/etc/QLop/python/pygments/formatters/rtf.pyo
/etc/QLop/python/pygments/formatters/svg.py
/etc/QLop/python/pygments/formatters/svg.pyc
/etc/QLop/python/pygments/formatters/svg.pyo
/etc/QLop/python/pygments/formatters/terminal.py
/etc/QLop/python/pygments/formatters/terminal.pyc
/etc/QLop/python/pygments/formatters/terminal.pyo
/etc/QLop/python/pygments/formatters/terminal256.py
/etc/QLop/python/pygments/formatters/terminal256.pyc
/etc/QLop/python/pygments/formatters/terminal256.pyo
/etc/QLop/python/pygments/lexer.py
/etc/QLop/python/pygments/lexer.pyc
/etc/QLop/python/pygments/lexer.pyo
/etc/QLop/python/pygments/lexers/__init__.py
/etc/QLop/python/pygments/lexers/__init__.pyc
/etc/QLop/python/pygments/lexers/__init__.pyo
/etc/QLop/python/pygments/lexers/_asybuiltins.py
/etc/QLop/python/pygments/lexers/_asybuiltins.pyc
/etc/QLop/python/pygments/lexers/_asybuiltins.pyo
/etc/QLop/python/pygments/lexers/_clbuiltins.py
/etc/QLop/python/pygments/lexers/_clbuiltins.pyc
/etc/QLop/python/pygments/lexers/_clbuiltins.pyo
/etc/QLop/python/pygments/lexers/_luabuiltins.py
/etc/QLop/python/pygments/lexers/_luabuiltins.pyc
/etc/QLop/python/pygments/lexers/_luabuiltins.pyo
/etc/QLop/python/pygments/lexers/_mapping.py
/etc/QLop/python/pygments/lexers/_mapping.pyc
/etc/QLop/python/pygments/lexers/_mapping.pyo
/etc/QLop/python/pygments/lexers/_phpbuiltins.py
/etc/QLop/python/pygments/lexers/_phpbuiltins.pyc
/etc/QLop/python/pygments/lexers/_phpbuiltins.pyo
/etc/QLop/python/pygments/lexers/_postgres_builtins.py
/etc/QLop/python/pygments/lexers/_postgres_builtins.pyc
/etc/QLop/python/pygments/lexers/_postgres_builtins.pyo
/etc/QLop/python/pygments/lexers/_scilab_builtins.py
/etc/QLop/python/pygments/lexers/_scilab_builtins.pyc
/etc/QLop/python/pygments/lexers/_scilab_builtins.pyo
/etc/QLop/python/pygments/lexers/_vimbuiltins.py
/etc/QLop/python/pygments/lexers/_vimbuiltins.pyc
/etc/QLop/python/pygments/lexers/_vimbuiltins.pyo
/etc/QLop/python/pygments/lexers/agile.py
/etc/QLop/python/pygments/lexers/agile.pyc
/etc/QLop/python/pygments/lexers/agile.pyo
/etc/QLop/python/pygments/lexers/asm.py
/etc/QLop/python/pygments/lexers/asm.pyc
/etc/QLop/python/pygments/lexers/asm.pyo
/etc/QLop/python/pygments/lexers/compiled.py
/etc/QLop/python/pygments/lexers/compiled.pyc
/etc/QLop/python/pygments/lexers/compiled.pyo
/etc/QLop/python/pygments/lexers/dotnet.py
/etc/QLop/python/pygments/lexers/dotnet.pyc
/etc/QLop/python/pygments/lexers/dotnet.pyo
/etc/QLop/python/pygments/lexers/functional.py
/etc/QLop/python/pygments/lexers/functional.pyc
/etc/QLop/python/pygments/lexers/functional.pyo
/etc/QLop/python/pygments/lexers/hdl.py
/etc/QLop/python/pygments/lexers/hdl.pyc
/etc/QLop/python/pygments/lexers/hdl.pyo
/etc/QLop/python/pygments/lexers/jvm.py
/etc/QLop/python/pygments/lexers/jvm.pyc
/etc/QLop/python/pygments/lexers/jvm.pyo
/etc/QLop/python/pygments/lexers/math.py
/etc/QLop/python/pygments/lexers/math.pyc
/etc/QLop/python/pygments/lexers/math.pyo
/etc/QLop/python/pygments/lexers/other.py
/etc/QLop/python/pygments/lexers/other.pyc
/etc/QLop/python/pygments/lexers/other.pyo
/etc/QLop/python/pygments/lexers/parsers.py
/etc/QLop/python/pygments/lexers/parsers.pyc
/etc/QLop/python/pygments/lexers/parsers.pyo
/etc/QLop/python/pygments/lexers/shell.py
/etc/QLop/python/pygments/lexers/shell.pyc
/etc/QLop/python/pygments/lexers/shell.pyo
/etc/QLop/python/pygments/lexers/special.py
/etc/QLop/python/pygments/lexers/special.pyc
/etc/QLop/python/pygments/lexers/special.pyo
/etc/QLop/python/pygments/lexers/sql.py
/etc/QLop/python/pygments/lexers/sql.pyc
/etc/QLop/python/pygments/lexers/sql.pyo
/etc/QLop/python/pygments/lexers/templates.py
/etc/QLop/python/pygments/lexers/templates.pyc
/etc/QLop/python/pygments/lexers/templates.pyo
/etc/QLop/python/pygments/lexers/text.py
/etc/QLop/python/pygments/lexers/text.pyc
/etc/QLop/python/pygments/lexers/text.pyo
/etc/QLop/python/pygments/lexers/web.py
/etc/QLop/python/pygments/lexers/web.pyc
/etc/QLop/python/pygments/lexers/web.pyo
/etc/QLop/python/pygments/plugin.py
/etc/QLop/python/pygments/plugin.pyc
/etc/QLop/python/pygments/plugin.pyo
/etc/QLop/python/pygments/scanner.py
/etc/QLop/python/pygments/scanner.pyc
/etc/QLop/python/pygments/scanner.pyo
/etc/QLop/python/pygments/style.py
/etc/QLop/python/pygments/style.pyc
/etc/QLop/python/pygments/style.pyo
/etc/QLop/python/pygments/styles/__init__.py
/etc/QLop/python/pygments/styles/__init__.pyc
/etc/QLop/python/pygments/styles/__init__.pyo
/etc/QLop/python/pygments/styles/autumn.py
/etc/QLop/python/pygments/styles/autumn.pyc
/etc/QLop/python/pygments/styles/autumn.pyo
/etc/QLop/python/pygments/styles/borland.py
/etc/QLop/python/pygments/styles/borland.pyc
/etc/QLop/python/pygments/styles/borland.pyo
/etc/QLop/python/pygments/styles/bw.py
/etc/QLop/python/pygments/styles/bw.pyc
/etc/QLop/python/pygments/styles/bw.pyo
/etc/QLop/python/pygments/styles/colorful.py
/etc/QLop/python/pygments/styles/colorful.pyc
/etc/QLop/python/pygments/styles/colorful.pyo
/etc/QLop/python/pygments/styles/default.py
/etc/QLop/python/pygments/styles/default.pyc
/etc/QLop/python/pygments/styles/default.pyo
/etc/QLop/python/pygments/styles/emacs.py
/etc/QLop/python/pygments/styles/emacs.pyc
/etc/QLop/python/pygments/styles/emacs.pyo
/etc/QLop/python/pygments/styles/friendly.py
/etc/QLop/python/pygments/styles/friendly.pyc
/etc/QLop/python/pygments/styles/friendly.pyo
/etc/QLop/python/pygments/styles/fruity.py
/etc/QLop/python/pygments/styles/fruity.pyc
/etc/QLop/python/pygments/styles/fruity.pyo
/etc/QLop/python/pygments/styles/manni.py
/etc/QLop/python/pygments/styles/manni.pyc
/etc/QLop/python/pygments/styles/manni.pyo
/etc/QLop/python/pygments/styles/monokai.py
/etc/QLop/python/pygments/styles/monokai.pyc
/etc/QLop/python/pygments/styles/monokai.pyo
/etc/QLop/python/pygments/styles/murphy.py
/etc/QLop/python/pygments/styles/murphy.pyc
/etc/QLop/python/pygments/styles/murphy.pyo
/etc/QLop/python/pygments/styles/native.py
/etc/QLop/python/pygments/styles/native.pyc
/etc/QLop/python/pygments/styles/native.pyo
/etc/QLop/python/pygments/styles/pastie.py
/etc/QLop/python/pygments/styles/pastie.pyc
/etc/QLop/python/pygments/styles/pastie.pyo
/etc/QLop/python/pygments/styles/perldoc.py
/etc/QLop/python/pygments/styles/perldoc.pyc
/etc/QLop/python/pygments/styles/perldoc.pyo
/etc/QLop/python/pygments/styles/rrt.py
/etc/QLop/python/pygments/styles/rrt.pyc
/etc/QLop/python/pygments/styles/rrt.pyo
/etc/QLop/python/pygments/styles/tango.py
/etc/QLop/python/pygments/styles/tango.pyc
/etc/QLop/python/pygments/styles/tango.pyo
/etc/QLop/python/pygments/styles/trac.py
/etc/QLop/python/pygments/styles/trac.pyc
/etc/QLop/python/pygments/styles/trac.pyo
/etc/QLop/python/pygments/styles/vim.py
/etc/QLop/python/pygments/styles/vim.pyc
/etc/QLop/python/pygments/styles/vim.pyo
/etc/QLop/python/pygments/styles/vs.py
/etc/QLop/python/pygments/styles/vs.pyc
/etc/QLop/python/pygments/styles/vs.pyo
/etc/QLop/python/pygments/token.py
/etc/QLop/python/pygments/token.pyc
/etc/QLop/python/pygments/token.pyo
/etc/QLop/python/pygments/unistring.py
/etc/QLop/python/pygments/unistring.pyc
/etc/QLop/python/pygments/unistring.pyo
/etc/QLop/python/pygments/util.py
/etc/QLop/python/pygments/util.pyc
/etc/QLop/python/pygments/util.pyo
/usr/bin/QLop
/usr/share/QLop/QLop.png
/usr/share/QLop/QLop.svg
/usr/share/appdata/QLop.appdata.xml
/usr/share/applications/QLop.desktop


%changelog
* Wed Apr 29  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 0.2
- Update source to r14

* Wed Apr 8  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 0.1
- Initial Fedora packaging

* Fri Apr 3  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 0.1
- Initial Fedora packaging
